Package com.avaya.clientservices.client

## Enum UserCreatedFailureReason

- java.lang.Object
- - java.lang.Enum<UserCreatedFailureReason>
  - - com.avaya.clientservices.client.UserCreatedFailureReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UserCreatedFailureReason>`

      public enum UserCreatedFailureReason
      extends java.lang.Enum<UserCreatedFailureReason>

  Enumerated type for the possible causes of a failure to create a user.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CIPHER_SUITES_LIST_EMPTY` | All supported cipher suites are blacklisted in client configuration
    `CLIENT_SHUT_DOWN` |
    `HTTP_INVALID_CREDENTIAL_PROVIDER` |
    `HTTP_INVALID_USER_ID` |
    `HTTP_USER_ID_ALREADY_EXISTS` |
    `INVALID_DATA_DIRECTORY` |
    `INVALID_SESSION_REFRESH_INTERVAL` |
    `SIP_INVALID_CREDENTIAL_PROVIDER` |
    `SIP_INVALID_DOMAIN` |
    `SIP_INVALID_SERVER` |
    `SIP_INVALID_USER_ADDRESS_OF_RECORD` |
    `SIP_INVALID_USER_ID` |
    `SIP_SERVER_LIST_EMPTY` |
    `SIP_USER_ID_ALREADY_EXISTS` |
    `UNSUPPORTED_CONNECTION_POLICY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UserCreatedFailureReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UserCreatedFailureReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT_SHUT_DOWN

          public static final UserCreatedFailureReason CLIENT_SHUT_DOWN

    - #### SIP_USER_ID_ALREADY_EXISTS

          public static final UserCreatedFailureReason SIP_USER_ID_ALREADY_EXISTS

    - #### SIP_INVALID_USER_ID

          public static final UserCreatedFailureReason SIP_INVALID_USER_ID

    - #### SIP_INVALID_USER_ADDRESS_OF_RECORD

          public static final UserCreatedFailureReason SIP_INVALID_USER_ADDRESS_OF_RECORD

    - #### SIP_INVALID_DOMAIN

          public static final UserCreatedFailureReason SIP_INVALID_DOMAIN

    - #### SIP_SERVER_LIST_EMPTY

          public static final UserCreatedFailureReason SIP_SERVER_LIST_EMPTY

    - #### SIP_INVALID_SERVER

          public static final UserCreatedFailureReason SIP_INVALID_SERVER

    - #### SIP_INVALID_CREDENTIAL_PROVIDER

          public static final UserCreatedFailureReason SIP_INVALID_CREDENTIAL_PROVIDER

    - #### INVALID_DATA_DIRECTORY

          public static final UserCreatedFailureReason INVALID_DATA_DIRECTORY

    - #### HTTP_USER_ID_ALREADY_EXISTS

          public static final UserCreatedFailureReason HTTP_USER_ID_ALREADY_EXISTS

    - #### HTTP_INVALID_USER_ID

          public static final UserCreatedFailureReason HTTP_INVALID_USER_ID

    - #### HTTP_INVALID_CREDENTIAL_PROVIDER

          public static final UserCreatedFailureReason HTTP_INVALID_CREDENTIAL_PROVIDER

    - #### UNSUPPORTED_CONNECTION_POLICY

          public static final UserCreatedFailureReason UNSUPPORTED_CONNECTION_POLICY

    - #### INVALID_SESSION_REFRESH_INTERVAL

          public static final UserCreatedFailureReason INVALID_SESSION_REFRESH_INTERVAL

    - #### CIPHER_SUITES_LIST_EMPTY

          public static final UserCreatedFailureReason CIPHER_SUITES_LIST_EMPTY

      All supported cipher suites are blacklisted in client configuration

  - ### Method Detail

    - #### values

          public static UserCreatedFailureReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserCreatedFailureReason c : UserCreatedFailureReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserCreatedFailureReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null